#chatButton {

    position: fixed;

    right: 20px;

    bottom: 20px;

    width: 60px;

    height: 60px;

    border-radius: 90%;

    background: #0d6efd;

    color: #fff;

    font-size: 30px;

    display: flex;

    align-items: center;

    justify-content: center;

    cursor: pointer;

    box-shadow: 0 5px 15px rgba(0, 0, 0, .3);

    z-index: 9999;

}

#chatBox {

    position: fixed;

    right: 20px;

    bottom: 90px;

    width: 340px;

    height: 500px;

    background: #fff;

    border-radius: 15px;

    overflow: hidden;

    display: none;

    box-shadow: 0 5px 25px rgba(0, 0, 0, .25);

    z-index: 9999;

}

#chatHeader {

    background: #0d6efd;

    color: #fff;

    padding: 12px;

    display: flex;

    justify-content: space-between;

    align-items: center;

}

.smallText {

    font-size: 12px;

    opacity: .8;

}

#chatClose {

    cursor: pointer;

    font-size: 24px;

}

#chatMessages {

    height: 360px;

    overflow-y: auto;

    padding: 15px;

    background: #f7f7f7;

}

.bot {

    background: #fff;

    padding: 12px;

    border-radius: 10px;

    margin-bottom: 10px;

    width: 85%;

    box-shadow: 0 1px 5px rgba(0, 0, 0, .1);

}

.user {

    background: #0d6efd;

    color: #fff;

    padding: 12px;

    border-radius: 10px;

    margin-left: auto;

    margin-bottom: 10px;

    width: 85%;

}

#chatInput {

    display: flex;

    border-top: 1px solid #ddd;

}

#txtMessage {

    flex: 1;

    border: none;

    padding: 12px;

    outline: none;

}

#btnSend {

    width: 60px;

    border: none;

    background: #0d6efd;

    color: white;

    cursor: pointer;

}

@media(max-width:600px) {

    #chatBox {

        width: 95%;

        right: 2.5%;

        height: 75vh;

    }

}